# Insights setup: User permissions

Currently, Insights is available at the Group level, so [grant relevant users the Group viewer role](../../../snyk-admin/manage-permissions-and-roles/manage-member-roles.md#edit-a-role). This is the minimum required permission, but Group Admins also can view Insights.

After users have the right permission, they will see a new **Insights** option in the left navigation at the Group level.

<div align="left">

<figure><img src="../../../.gitbook/assets/Screenshot 2023-06-06 at 14.18.09.png" alt="Insights menu option" width="225"><figcaption><p>Insights menu option</p></figcaption></figure>

</div>

{% hint style="warning" %}
Insights is not currently available at the Snyk Organization level.
{% endhint %}

